package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hxhq.common.core.annotation.Compare;
import com.hxhq.common.core.annotation.Excel;
import com.hxhq.common.core.domain.MpBaseEntity;

import java.util.Date;


/**
 * 试验-填报单对象 t_study_form_fill
 *
 * @author hxhq
 * @date 2025-12-29
 */
@TableName("t_study_form_fill")
public class StudyFormFill extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 所属试验id */
    private Long studyId;

    /** 所属试验学科id */
    private Long studySubjectId;

    /** 所属部门（试验就是学科的部门，非试验和麻精药就是当前人的部门） */
    private Long belongDeptId;

    /** 所属试验学科id */
    private Long studyFormPreId;

    /** 表单编号 */
    private String bdbh;

    /** 表单名称 */
    @Compare(name = "表单名称",nameEn = "Preset Name")
    private String bdmc;

    /** 表单说明 */
    @Compare(name = "表单说明",nameEn = "Preset Description")
    private String bdsm;

    /** 模板id */
    private Long templateId;

    /** 表单归属人id */
    private Long userId;

    /** 表单归属人名称 */
    private String userMc;

    /** 表单归属人名称-英文 */
    private String userMcEn;

    /** 是否补录 */
    @Compare(name = "是否补录",nameEn = "是否补录")
    private String sfbl;

    /** 表单状态：1：填报中；3：已提交；5：已完成（经复核）；7：已完成；9：待废止；11：已废止 */
    private Integer bdzt;

    /** 病例学家审核状态：1：无需审核；3：待审核；5：已审核 */
    private Integer blxjshzt;

    /** 是否填报：1：未填报；10：已填报*/
    private Integer sftb;

    /** 提交时间 */
    @Excel(name = "提交时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date tjsj;

    /** 表单内容 */
    private String bdnr;

    /** 物资信息 */
    private String resource;

    /** 仪器物资信息 */
    private String yqResource;

    /** 检测板信息 */
    private String jcbList;

    /** 处置list */
    private String czlist;

    /** 存储list */
    private String cclist;

    /** 字段修改记录 */
    private String zdxgjl;

    /** 复核意见记录 */
    private String fhyjjl;

    /** 字段勾选记录 */
    private String zdgxjl;

    /** 细菌细胞信息 */
    private String xbxj;

    /** 已提交过数据的字段 */
    private String submittedCodes;

    /** 填报开始时间 */
    @Excel(name = "填报开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;

    /** 填报结束时间 */
    @Excel(name = "填报结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;

    /** 签名意义 */
    @TableField(exist = false)
    private String qmyy;

    /** 签名人密码 */
    @TableField(exist = false)
    private String qmrmm;

    /** 模板名称 */
    @TableField(exist = false)
    @Compare(name = "模板名称")
    private String templateMc;

    /** 模板名称-英文 */
    @TableField(exist = false)
    private String templateMcEn;

    /** 模板编号 */
    @TableField(exist = false)
    private String templateSn;

    /** 模板编号 */
    @TableField(exist = false)
    private String templateShowSn;

    /** 模板导出类 */
    @TableField(exist = false)
    private String templateExportClass;

    /** 模板导出方法 */
    @TableField(exist = false)
    private String templateExportMethod;

    /** 产物：1：试剂；3：给药制剂；5：麻精药 */
    @TableField(exist = false)
    private Integer product;

    /** 模板导出pdf纸张大小：a1-a10 */
    @TableField(exist = false)
    private String templatePdfSize;

    /** 填报显示药剂存储按钮：1：否；10：显示 */
    @TableField(exist = false)
    private String templateShowYjcc;

    /** 填报显示打印：1否；10是  */
    @TableField(exist = false)
    private String templateShowDy;

    /** 仅提交：1否；10是 */
    @TableField(exist = false)
    private Integer onlySubmit;

    /** 试验编号 */
    @TableField(exist = false)
    private String studySn;

    /** 试验名称 */
    @TableField(exist = false)
    private String studyMc;

    /** 试验类型1试验，5非试验表单，10麻精药表单 */
    @TableField(exist = false)
    private Integer studyType;

    /** 填报显示病理学家审核：1：否；10：是 */
    @TableField(exist = false)
    private Integer showBlxjsh;

    public String getTemplateShowDy() {
        return templateShowDy;
    }

    public void setTemplateShowDy(String templateShowDy) {
        this.templateShowDy = templateShowDy;
    }

    public Integer getOnlySubmit() {
        return onlySubmit;
    }

    public void setOnlySubmit(Integer onlySubmit) {
        this.onlySubmit = onlySubmit;
    }

    public Integer getShowBlxjsh() {
        return showBlxjsh;
    }

    public void setShowBlxjsh(Integer showBlxjsh) {
        this.showBlxjsh = showBlxjsh;
    }

    public String getSubmittedCodes() {
        return submittedCodes;
    }

    public void setSubmittedCodes(String submittedCodes) {
        this.submittedCodes = submittedCodes;
    }

    public Integer getBlxjshzt() {
        return blxjshzt;
    }

    public void setBlxjshzt(Integer blxjshzt) {
        this.blxjshzt = blxjshzt;
    }

    public String getXbxj() {
        return xbxj;
    }

    public void setXbxj(String xbxj) {
        this.xbxj = xbxj;
    }

    public Integer getStudyType() {
        return studyType;
    }

    public void setStudyType(Integer studyType) {
        this.studyType = studyType;
    }

    public String getJcbList() {
        return jcbList;
    }

    public void setJcbList(String jcbList) {
        this.jcbList = jcbList;
    }

    public String getTemplateShowYjcc() {
        return templateShowYjcc;
    }

    public void setTemplateShowYjcc(String templateShowYjcc) {
        this.templateShowYjcc = templateShowYjcc;
    }

    public String getTemplatePdfSize() {
        return templatePdfSize;
    }

    public void setTemplatePdfSize(String templatePdfSize) {
        this.templatePdfSize = templatePdfSize;
    }

    public Integer getProduct() {
        return product;
    }

    public void setProduct(Integer product) {
        this.product = product;
    }

    public String getYqResource() {
        return yqResource;
    }

    public void setYqResource(String yqResource) {
        this.yqResource = yqResource;
    }

    public String getTemplateShowSn() {
        return templateShowSn;
    }

    public void setTemplateShowSn(String templateShowSn) {
        this.templateShowSn = templateShowSn;
    }

    public String getTemplateExportClass() {
        return templateExportClass;
    }

    public void setTemplateExportClass(String templateExportClass) {
        this.templateExportClass = templateExportClass;
    }

    public String getTemplateExportMethod() {
        return templateExportMethod;
    }

    public void setTemplateExportMethod(String templateExportMethod) {
        this.templateExportMethod = templateExportMethod;
    }

    public String getTemplateMcEn() {
        return templateMcEn;
    }

    public void setTemplateMcEn(String templateMcEn) {
        this.templateMcEn = templateMcEn;
    }

    public String getUserMcEn() {
        return userMcEn;
    }

    public void setUserMcEn(String userMcEn) {
        this.userMcEn = userMcEn;
    }

    public String getZdgxjl() {
        return zdgxjl;
    }

    public void setZdgxjl(String zdgxjl) {
        this.zdgxjl = zdgxjl;
    }

    public String getZdxgjl() {
        return zdxgjl;
    }

    public void setZdxgjl(String zdxgjl) {
        this.zdxgjl = zdxgjl;
    }

    public String getFhyjjl() {
        return fhyjjl;
    }

    public void setFhyjjl(String fhyjjl) {
        this.fhyjjl = fhyjjl;
    }

    public Integer getSftb() {
        return sftb;
    }

    public void setSftb(Integer sftb) {
        this.sftb = sftb;
    }

    public String getCzlist() {
        return czlist;
    }

    public void setCzlist(String czlist) {
        this.czlist = czlist;
    }

    public String getCclist() {
        return cclist;
    }

    public void setCclist(String cclist) {
        this.cclist = cclist;
    }

    public String getResource() {
        return resource;
    }

    public void setResource(String resource) {
        this.resource = resource;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getStudySn() {
        return studySn;
    }

    public void setStudySn(String studySn) {
        this.studySn = studySn;
    }

    public String getStudyMc() {
        return studyMc;
    }

    public void setStudyMc(String studyMc) {
        this.studyMc = studyMc;
    }

    public String getQmyy() {
        return qmyy;
    }

    public void setQmyy(String qmyy) {
        this.qmyy = qmyy;
    }

    public String getTemplateSn() {
        return templateSn;
    }

    public void setTemplateSn(String templateSn) {
        this.templateSn = templateSn;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }

    public Long getStudySubjectId() {
        return studySubjectId;
    }

    public void setStudySubjectId(Long studySubjectId) {
        this.studySubjectId = studySubjectId;
    }

    public Long getBelongDeptId() {
        return belongDeptId;
    }

    public void setBelongDeptId(Long belongDeptId) {
        this.belongDeptId = belongDeptId;
    }

    public Long getStudyFormPreId() {
        return studyFormPreId;
    }

    public void setStudyFormPreId(Long studyFormPreId) {
        this.studyFormPreId = studyFormPreId;
    }

    public Date getTjsj() {
        return tjsj;
    }

    public void setTjsj(Date tjsj) {
        this.tjsj = tjsj;
    }

    public void setStudyId(Long studyId)
    {
        this.studyId = studyId;
    }

    public Long getStudyId()
    {
        return studyId;
    }

    public void setBdbh(String bdbh)
    {
        this.bdbh = bdbh;
    }

    public String getBdbh()
    {
        return bdbh;
    }

    public void setBdmc(String bdmc)
    {
        this.bdmc = bdmc;
    }

    public String getBdmc()
    {
        return bdmc;
    }

    public void setBdsm(String bdsm)
    {
        this.bdsm = bdsm;
    }

    public String getBdsm()
    {
        return bdsm;
    }

    public void setTemplateId(Long templateId)
    {
        this.templateId = templateId;
    }

    public Long getTemplateId()
    {
        return templateId;
    }

    public void setTemplateMc(String templateMc)
    {
        this.templateMc = templateMc;
    }

    public String getTemplateMc()
    {
        return templateMc;
    }

    public void setBdnr(String bdnr)
    {
        this.bdnr = bdnr;
    }

    public String getBdnr()
    {
        return bdnr;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setUserMc(String userMc)
    {
        this.userMc = userMc;
    }

    public String getUserMc()
    {
        return userMc;
    }

    public void setSfbl(String sfbl)
    {
        this.sfbl = sfbl;
    }

    public String getSfbl()
    {
        return sfbl;
    }

    public void setBdzt(Integer bdzt)
    {
        this.bdzt = bdzt;
    }

    public Integer getBdzt()
    {
        return bdzt;
    }

}
